{# Templates/base.html.twig #}
{# BaseSkeletton of all pages #}

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html class="tid_js tid_no-touch tid_draganddrop tid_websockets">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title>EternalKingdom - {% block title %}{% endblock %}</title>
        <meta name="description" content={% block metaDescription %}"Arriverez-vous à vaincre les famines et à établir votre Royaume ?"{% endblock %} />
        <meta name="language" content="" />

        <link rel="stylesheet" type="text/css" href="{{ asset('css/design.css') }}" />
        <link rel="stylesheet" type="text/css" href="{{ asset('css/style.css') }}" />
        <link rel="stylesheet" type="text/css" href="{{ asset('css/bar.css') }}" />
        <link rel="stylesheet" type="text/css" href="{{ asset('js-snackbar/js-snackbar.min.css') }}" />
        {% block stylesheets %}
        {% endblock %}

        <script type="text/javascript" src="{{ asset('js/app.js') }}"></script>
        <script type="text/javascript" src="{{ asset('js/utility.js') }}"></script>
        <script type="text/javascript" src="{{ asset('js-snackbar/js-snackbar.min.js') }}"></script>

        {% block javascripts %}
        {% endblock %}
    </head>

    <body class="mx_twinoid tid_webkit tid_v537 tid_lang_fr">
        <div id="tooltip" class="normalTip" style="top: -1000px; position: absolute; z-index: 10; left: 790px;">
            <div id="tooltipContent">
                <div class="tiptop">
                    <div class="tipbottom">
                        <div class="tipbg">
                            <h1>Title</h1>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="tid_baseNotice" style="display: none;">
            <div class="tid_black"></div>
            <div class="tid_wrapper">
                <div class="tid_box">
                    <div class="tid_close"></div>
                    <div class="tid_content"></div>
                </div>
            </div>
        </div>
        <div id="tid_noticeList" style="display: none;"><div class="tid_wrapper"></div></div>

        <div class="mxtophead" id="mxtop">
            <div class="mxtopmenu">
                <div class="mxtopmenucontent"></div>
            </div>
            <div class="mxhead">
                {# TODO Maybe use the VersionBundle or add this into a config / env? #}
                <a href="{{ path('homepage') }}" class="logo">
                    <p class="versionLabel">
                        {{ 'version' | trans({'%version%' : game_version}, 'Common') }}
                        {% if 'staging' in app.request.uri %}- <b>Staging</b> 🧪{% endif %}
                        {% if 'localhost' in app.request.uri %}- <b>Local</b> 🧪{% endif %}
                    </p>
                    <img src="{{ asset('img/pixel.gif') }}" alt="" />
                </a>

                <div class="mxmainmenu">
                    <div class="cache">
                        {% block cache %}
                        {% endblock %}
                    </div>

                    {% include 'navbar.html.twig' %}
                </div>

                <div class="mxtopmaincontent">
                    <div class="mxbottommaincontent">
                        <div class="mxbordermaincontent">
                            <div class="mxcontent" id="mxcontent">
                                {% block content %}
                                {% endblock %}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="mxbottom">
            </div>
        </div>

        <script type="text/javascript">
            __tid = { lang: "fr", chk: "fa3585711bd98d51b07df328be75c3de", ver: "397", infos: "oy6:realIdi498008y5:tokeny32:89b8f0e7c0c70cbbe173018669490cb2y6:twinIdi4380g" };
        </script>
        <div id="tid_bar_down" class="tid_safe_bar_down">
            <div class="tid_footer">
                {{ include('footer.html.twig') }}

                <div class="tid_clear"></div>
            </div>
        </div>

        <script type="text/javascript">
            //_.initFrame(true,null)
        </script>
    </body>
</html>
